summaryrefslogtreecommitdiffstats
path: root/desktop/wmtop
diff options
context:
space:
mode:
author Cezary M. Kruk2010-05-12 23:28:29 +0200
committer David Somero2010-05-12 23:28:29 +0200
commit11e63d02580727c91c1470389053495d4e881859 (patch)
tree913e81f02b089f3a7e75ae5350ebf4de5a229e6c /desktop/wmtop
parent08674d231460c2e9498db6d1f4e375092c1d55bb (diff)
downloadslackbuilds-11e63d02580727c91c1470389053495d4e881859.tar.gz
desktop/wmtop: Added to 12.2 repository
Diffstat (limited to 'desktop/wmtop')
-rw-r--r--desktop/wmtop/README4
-rw-r--r--desktop/wmtop/slack-desc19
-rw-r--r--desktop/wmtop/wmtop.SlackBuild73
-rw-r--r--desktop/wmtop/wmtop.info8
4 files changed, 104 insertions, 0 deletions
diff --git a/desktop/wmtop/README b/desktop/wmtop/README
new file mode 100644
index 0000000000..49a8a64e1c
--- /dev/null
+++ b/desktop/wmtop/README
@@ -0,0 +1,4 @@
+wmtop is Window Maker processes monitor dockable application
+
+wmtop maintains a view of the three top CPU (or memory) consuming
+processes displaying the amount of CPU used as a horizontal bar.
diff --git a/desktop/wmtop/slack-desc b/desktop/wmtop/slack-desc
new file mode 100644
index 0000000000..8c5ab75404
--- /dev/null
+++ b/desktop/wmtop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmtop: wmtop (Window Maker processes monitor application)
+wmtop:
+wmtop: wmtop maintains a view of the three top CPU (or memory) consuming
+wmtop: processes displaying the amount of CPU used as a horizontal bar.
+wmtop:
+wmtop:
+wmtop:
+wmtop:
+wmtop:
+wmtop:
+wmtop:
diff --git a/desktop/wmtop/wmtop.SlackBuild b/desktop/wmtop/wmtop.SlackBuild
new file mode 100644
index 0000000000..5db808ef45
--- /dev/null
+++ b/desktop/wmtop/wmtop.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for wmtop
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmtop
+VERSION=${VERSION:-0.84}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make linux
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+
+# Executable and manual are copied to the correct location
+cp -a wmtop $PKG/usr/bin
+cp -a wmtop.1 $PKG/usr/man/man1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS CHANGES COPYING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmtop/wmtop.info b/desktop/wmtop/wmtop.info
new file mode 100644
index 0000000000..fa9ad1de2c
--- /dev/null
+++ b/desktop/wmtop/wmtop.info
@@ -0,0 +1,8 @@
+PRGNAM="wmtop"
+VERSION="0.84"
+HOMEPAGE="http://wmtop.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/wmtop/wmtop-0.84.tar.bz2"
+MD5SUM="2bab22c5bc3a5b887e7c03d6dbfe59d7"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"